;InnoSetupVersion=3.0.5

[Setup]
AppName=BPFTP Server
AppVerName=BPFTP Server
AppId=BPFTP Server
AppVersion=2.21
AppPublisher=Gene6, SARL
AppPublisherURL=http://www.gene6.com/
AppSupportURL=http://www.bpftpserver.com/
AppUpdatesURL=http://www.bpftpserver.com/
AppMutex=G6ftpserver
DefaultDirName={pf}\BPFTP Server
DefaultGroupName=BPFTP Server
UninstallDisplayIcon={app}\.EXE
UninstallDisplayName=BPFTP Server (remove only)
UninstallFilesDir={app}\Uninstall
OutputBaseFilename=BPFTPSETUP
Compression=zip
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
; Source: "{app}\backup\,1"; DestDir: "{app}\backup"; Flags: uninsneveruninstall skipifsourcedoesntexist 
; Source: "{app}\backup\,2"; DestDir: "{app}\backup"; Flags: uninsneveruninstall skipifsourcedoesntexist 
; Source: "{app}\backup\,3"; DestDir: "{app}\backup"; Flags: uninsneveruninstall skipifsourcedoesntexist 
; Source: "{app}\backup\,4"; DestDir: "{app}\backup"; Flags: uninsneveruninstall skipifsourcedoesntexist 
Source: "{app}\License.txt"; DestDir: "{app}"; 
Source: "{app}\Version.txt"; DestDir: "{app}"; 
Source: "{app}\BulletProof FTP Server website.url"; DestDir: "{app}"; 
Source: "{app}\G6FTPSrv.exe"; DestDir: "{app}"; Components: server; Flags: comparetimestamp 
Source: "{app}\G6Service.exe"; DestDir: "{app}"; Components: server; Flags: comparetimestamp 
Source: "{app}\manual\00.legal.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\11.installation.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\12.uninstall.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\21.briefdescription.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\22.interface.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\30.tutorial.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\31.setupuser.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\33.linksfile.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\34.spyuser.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\35.ipaccess.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\41.ftpcommands.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\42.commandline.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\43.performance.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\44.service.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\52.bug.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\accueil.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\g6.css"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\index.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\menu.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\pix\02_online.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\03_wordwrap.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\04_clear_new.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\05_door_closed.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\06_event.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\07_free_files.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\08_info.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\09_log.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\10_logging.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\11_loupe.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\13_pause.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\15_pointint.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\16_quit.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\17_setup.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\18_stat.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\19_user.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\20_alwaysontop.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\21_group.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\24_kick.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\25_logtoscreen.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\26_refresh.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\27_userlist.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\28_userbannedlist.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\29_grid.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\32_ip.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\33_copy.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\eventsmanager.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\g6ftpserver_logo.jpg"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\g6ftpserver_logo_90x41.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\group.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\hitometer.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\infomenu2.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\interface1.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\ipaccess.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\ipaccess.jpg"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\ipsetting.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\links.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\linksfile.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\sendmessage.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serveractivity.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serveradvanced.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\servercache.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverdynip.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverfreefiles.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\servergeneral.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverlogadvanced.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverlogfile.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverlogscreen.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverlogsetup.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\servermultiip.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serveroptions.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverscheduler.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverstatgen.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\servervisual.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\service.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\setupmain.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\stat.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor1.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor2.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor3.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor4.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor4_1.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor5.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor5_1.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\userban.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\user_links.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\user_misc.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\user_ratio.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\user_setup.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\vd1.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\vd2.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\vd3.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\bpftp_server.jpg"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverpasvmode.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\Administrative Tools\Stop BPFTPServer Service.bat"; DestDir: "{app}\Administrative Tools"; Components: server; 
Source: "{app}\Administrative Tools\Start BPFTPServer Service.bat"; DestDir: "{app}\Administrative Tools"; Components: server; 

[Run]
Filename: "{app}\g6ftpsrv.exe"; WorkingDir: "{app}"; Description: "Launch BPFTP Server"; Components: server; Flags: postinstall nowait

[Icons]
Name: "{userdesktop}\BPFTP Server"; Filename: "{app}\g6ftpsrv.exe"; Components: server; Tasks: desktopicon; 
Name: "{group}\BPFTP Server"; Filename: "{app}\g6ftpsrv.exe"; Components: server; Tasks: startmenuicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\BPFTP Server"; Filename: "{app}\g6ftpsrv.exe"; Components: server; Tasks: quicklaunchicon; 
Name: "{group}\License"; Filename: "{app}\License.txt"; Components: server; Tasks: startmenuicon; 
Name: "{group}\Uninstall BPSFTP Server"; Filename: "{uninstallexe}"; Components: server; Tasks: startmenuicon; 
Name: "{group}\BPFTP Server website"; Filename: "{app}\BulletProof FTP Server website.url"; Components: server; Tasks: startmenuicon; 
Name: "{group}\Administrative tools\Stop Service"; Filename: "{app}\Administrative tools\Stop BPFTPServer Service.bat"; Components: server; Tasks: startmenuicon; 
Name: "{group}\Administrative tools\Start Service"; Filename: "{app}\Administrative tools\Start BPFTPServer Service.bat"; Components: server; Tasks: startmenuicon; 
Name: "{group}\Administrative tools\Install Service"; Filename: "{app}\G6Service.exe"; Parameters: "-install -name:""BPFTPServer"" -launch:""g6ftpsrv.exe -service"""; Components: server; Tasks: startmenuicon; 
Name: "{group}\Administrative tools\Uninstall Service"; Filename: "{app}\G6Service.exe"; Parameters: "-uninstall -name:""BPFTPServer"""; Components: server; Tasks: startmenuicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &Desktop icon"; GroupDescription: "Additional icons:"; Components: "server"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Components: "server"; 
Name: "startmenuicon"; Description: "Create &Start menu icons"; GroupDescription: "Additional icons:"; Components: "server"; 

[Components]
Name: "server"; Description: "FTP Server"; Types: "full custom"; 
Name: "help"; Description: "Help files"; Types: "full custom"; 

[Types]
Name: "full"; Description: "Full installation"; 
Name: "custom"; Description: "Custom installation"; 
